=== debian/changelog ===
mono (3.2.8+dfsg-10) unstable; urgency=high

  * [037e3b5] Mono's implementation of the SSL/TLS stack failed to check
    the order of the handshake messages. Which would allow various attacks on
    the protocol to succeed. ("SKIP-TLS" attack).
    (Closes: #780751, CVE-2015-2318)
  * [38d3725] Remove the client-side SSLv2 fallback. There's almost no SSLv3
    web site left so a v2 fallback is only extra code we do not need to carry
    forward. (Closes: #780751, CVE-2015-2320)
  * [00e66d6] Remove the EXPORT ciphers and related code path. That was still
    useful in 2003/2004 but the technical and legal landscape changed a lot
    since then. Removing the old, limited key size, cipher suites also allow
    removed additional parts of the code that deals with them.
    ("FREAK" attack) (Closes: #780751, CVE-2015-2319)

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 19 Mar 2015 10:30:24 +0000

mono (3.2.8+dfsg-9) unstable; urgency=medium

  [ Mirco Bauer ]
  * [c8efb3b] Enable IPv6 support by default (closes: #771389)

  [ Jo Shields ]
  * [0d67f80] Fix missing contents in mono-runtime-dbg package
    (Closes: #773509, #773511)

 -- Mirco Bauer <meebey@meebey.net>  Fri, 19 Dec 2014 11:47:22 +0000

mono (3.2.8+dfsg-8) unstable; urgency=medium

  * [835c4ca] Add support for non-assembly files installed to the GAC. 
    This is the first half of a fix to bug #767507.

 -- Jo Shields <jo.shields@xamarin.com>  Wed, 05 Nov 2014 11:44:40 +0000

mono (3.2.8+dfsg-7) unstable; urgency=medium

  * [10016c2] Build libmono-2.0-1 and libmono-2.0-dev for mipsel

 -- Iain Lane <laney@debian.org>  Thu, 10 Jul 2014 11:19:02 +0100

mono (3.2.8+dfsg-6) unstable; urgency=medium

  * [9a7e4fb] Properly support Python 3 as Python version linked by 
    GDB. Thanks to Matthias Klose <doko@debian.org>
    (Closes: #752661)

 -- Jo Shields <directhex@apebox.org>  Mon, 07 Jul 2014 21:52:07 +0100

mono (3.2.8+dfsg-5) unstable; urgency=medium

  [ Jo Shields ]
  * [c1dd2a1] Enforce strict dependency versioning on 
    libmono-cecil-private-cil. This ensures that packages depending on it 
    are upgraded in lockstep. This works around the unreliable ABI 
    versioning on this library. (Closes: #728911)

 -- Jo Shields <directhex@apebox.org>  Sun, 06 Jul 2014 16:01:19 +0100

mono (3.2.8+dfsg-4) experimental; urgency=low

  * [3930eef] Add missing libmono-winforms2.0-cil dependency to 
    libmono-cil-dev.

 -- Jo Shields <directhex@apebox.org>  Thu, 27 Feb 2014 23:29:17 +0000

mono (3.2.8+dfsg-3) experimental; urgency=low

  * [6a91386] -z and -n do the same thing, right? Fixes autopkgtest for real.

 -- Jo Shields <directhex@apebox.org>  Wed, 26 Feb 2014 10:28:38 +0000

mono (3.2.8+dfsg-2) experimental; urgency=low

  * [2192ca9] Only trigger mono-gac postinst on upgrades. This should fix 
    an edge case when GAC-installing libraries which rely on 
    machine.config's key remapping at the same time as mono-gac 
    first-install, such as F#. Thanks to Christopher James Halse Rogers.

 -- Jo Shields <directhex@apebox.org>  Tue, 25 Feb 2014 23:55:52 +0000

mono (3.2.8+dfsg-1) experimental; urgency=low

  * The "Debian 9.0 Zurg" release

  * [9972bf8] Imported Upstream version 3.2.8+dfsg
  * [c9f9468] README is gone, ship README.md instead since it might be useful
  * [029af3f] Refresh symbols files for libmono*
  * [e2acadb] Don't use killall to kill stray Mono processes, it doesn't work 
    as desired. (Closes: #738277)
  * [0b1a48e] Delete some corner-case build rules for working around arch 
    issues
  * [26e5fbc] Bump System.Reactive to 2.2
  * [660166e] Fix up XBuild paths
  * [ea9afdc] Add new Facades to mono-devel
  * [8305898] Add new XBuild 12.0 files to mono-xbuild package
  * [4575803] Add new Mono.XBuild.Tasks library
  * [66a2288] Refreshed clilibs versioning and renamed packages as required 
    by ABI changes

 -- Jo Shields <directhex@apebox.org>  Thu, 20 Feb 2014 20:45:09 +0000

mono (3.2.3+dfsg-7) experimental; urgency=medium

  [ Mirco Bauer ]
  * [fd41e43] Added a hard timeout of 1 hour per test pass to prevent blocking
    buildds forever
  * [68cd63d] Hard kill stray mono processes after each test pass to make the
    life of buildd admins nicer
  * [2b00059] Added psmisc to build-deps for the killall command

  [ Christopher James Halse Rogers ]
  * [c6ee8c7] Make the install-framework commmand idempotent

 -- Mirco Bauer <meebey@debian.org>  Fri, 17 Jan 2014 07:06:13 +0100

mono (3.2.3+dfsg-6) experimental; urgency=medium

  * The "Hello F#" release

  [ Christopher James Halse Rogers ]
  * [37faf77] Do the framework-install/framework-remove dance in mono-gac maint
    scripts. This ensures our 3rd-party-ish framework libraries end up in the
    right place on upgrades.

  [ Jo Shields ]
  * [5872e81] Disable monitor.exe, it frequently doesn't get cleaned up on
    buildds, which can cause buildd admin angst.
  * [a9a843a] Disable bug-10127, this is another test which can leave stray
    processes.
  * [c01f5fc] mono-devel should pull in libmono-2.0-dev as this contains
    mono-2.pc. Fixes FTBFS in gtk-sharp3 and others.

 -- Mirco Bauer <meebey@debian.org>  Wed, 15 Jan 2014 07:21:45 +0100

mono (3.2.3+dfsg-5) experimental; urgency=low

  * [bb3e132] Fix error in debian/libmonosgen-2.0-1.symbols.armhf
  * [98b1fb6] Roll all the -facades- (PCL) packages into mono-devel. These 
    are meaningless outside compile time, and a pain to maintain, so we 
    gain nothing from having them split out.

 -- Jo Shields <directhex@apebox.org>  Thu, 12 Dec 2013 12:35:44 +0000

mono (3.2.3+dfsg-4) experimental; urgency=low

  [ Alex Rønne Petersen ]
  * [17c6b02] Merge branch 'armhf' of github.com:alexrp/mono
    (cherry picked from commit b9bcafb382666ccf2f2848065f1760c8f322fa4d)

  [ Jo Shields ]
  * [cf19c56] Add support for armhf packages

 -- Jo Shields <directhex@apebox.org>  Tue, 03 Dec 2013 22:52:00 +0000

mono (3.2.3+dfsg-3) experimental; urgency=low


